JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Button::Listener Class Referenceabstract
juce_gui_basics » buttons

Used to receive callbacks when a button is clicked. More...

`#include <juce_Button.h>`

Inheritance diagram for Button::Listener:

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual void | buttonClicked (Button *)=0
| Called when the button is clicked.
virtual void | buttonStateChanged (Button *)
| Called when the button's state changes.

## Detailed Description

Used to receive callbacks when a button is clicked.

See also
  Button::addListener, Button::removeListener

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual Button::Listener::~Listener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ buttonClicked()

virtual void Button::Listener::buttonClicked | ( | Button * |  | ) |
| pure virtual

Called when the button is clicked.

## ◆ buttonStateChanged()

virtual void Button::Listener::buttonStateChanged | ( | Button * |  | ) |
| virtual

Called when the button's state changes.

The documentation for this class was generated from the following file:

- juce_Button.h